function SixRooms_CheckURL( url, option )
{
	//URL: http://6.cn/watch/4021217.html
	if(url.match( /^http:\/\/6\.cn\/watch\/\d.*\.html$/ )) {
		return 1;
	} else {
		return 0;
	}
}

function SixRooms_GetURL( url, option )
{
	var url_valid = url.match( /^http:\/\/6\.cn\/watch\/\d.*\.html$/ );
	if(url_valid == null) { return null; }

	var contents_id = GetContents( url );
	if(contents_id == null) { return null; }
	
	var video_id = contents_id.match( /evid\s=\s\'(.*)\'/ );
	if(video_id == null) { return null; }
	video_id = RegExp.$1;
	// ex: http://6.cn/v72.php?vid=8Wxf_nJJrv_7DcAkKz6tbA&r=0
	var contents_url = GetContents( "http://6.cn/v72.php?vid=" + video_id + "&r=0");
	if(contents_url == null) { return null; }
	var video_url = contents_url.match( />(http:\/\/vtc.*?\.flv)</ );
	if(video_url == null) {
		video_url = contents_url.match( />(http:\/\/vdn.*?\.flv)</ );
		if(video_url == null) { return null; }
	}
	video_url = RegExp.$1;
	
	return video_url;
}

function SixRooms_Search( keyword, start_index, length, option )
{
	var pattern = /<div\sclass\=\"videobar-showl\">((.|\r|\n)*?)<\/div>/g;
	var result = new Object();
    result.keyword   = keyword;
	result.VideoInfo = new Array();
	result.start     = start_index;
    result.end       = 0;
	result.total     = -1;

	// ex.) http://6.cn/search.php?t=v&o=u&s=1&n=20&k=%E7%BE%8E%E5%9B%BD%E5%81%B6%E5%83%8F&page=2
	var url_base = "http://6.cn/search.php?t=v&o=u&s=1&n=20&k=";
	url_base = url_base + keyword + "&page=";
    
    var nPage = Math.floor( (start_index - 1) / 20 ) + 1;
    var nIndex = (nPage - 1) * 20 + 1;
	while(nIndex < (start_index + length)) {
		var url = url_base + String( nPage );
		
		var contents = GetContents( url );
		if(contents == null) { return null; }
		if(contents.match( /共有<span\sclass\=\"loading\">(\d*?)<\/span>个&#33410;目/ )) {
			result.total = RegExp.$1 - 0;
		}
		
        var i = nIndex;
		while(pattern.exec( contents ) != null) {
			if((start_index <= i) && (i < (start_index + length))) {
				var item = RegExp.$1;
				var info = new Object();

				if(item.match( /<dt>.*?blank\">(.*?)<\/a><\/dt>/ )) {
					info.Title = RegExp.$1;
					info.Title = info.Title.replace( /<.*?>/g, "");
				}
			
				if(item.match( /<img\ssrc\=\"(.*?)\"/ )) {
					info.ThumbnailURL = RegExp.$1;
				}
			
				if(item.match( /<dd\sclass\=\"memo\">(.*?)<\/dd>/ )) {
					info.Description = RegExp.$1;
				}
			
				if(item.match( /class\=\"videobar1\"><a\shref\=\"(.*?)\"/ )) {
					info.URL = "http://6.cn" + RegExp.$1;
//alert(info.URL);
				}
		
				if(item.match( /播放: <em\s*?>(.*?)<\/em>/ )) {
					info.ViewCount = RegExp.$1;
				}
			
				if(item.match( /<em><b>(\d{2})\:(\d{2})<\/b><\/em>/ )) {
					info.LengthSeconds = (RegExp.$1 - 0) * 60 + (RegExp.$2 - 0);
				}
            
				info.attr = 7;
				result.VideoInfo.push( info );
			}
			i++;
		}
        nIndex = nIndex + 20;
        nPage++;
	}

	if(result.VideoInfo.length) {
		result.end   = result.start + (result.VideoInfo.length - 1);
	} else {
		result.total = 0;
	}
	return result;
}

var SixRooms = new Object();
SixRooms.Name          = "6rooms";
SixRooms.Description   = "6rooms";
SixRooms.SearchDesc    = "6rooms";
SixRooms.SearchOSKMode = 2;
SixRooms.CheckURL      = SixRooms_CheckURL;
SixRooms.GetURL        = SixRooms_GetURL;
SixRooms.Search        = SixRooms_Search;

SiteList.push( SixRooms );
