// Dailymotion
var Dailymotion_fLogin = 0;
function Dailymotion_Login() {
	if(PSPTube.dailyname && PSPTube.dailypass) {
		//var send = "username=" + PSPTube.encodeURI( PSPTube.dailyname ) + "&password=" + PSPTube.encodeURI( PSPTube.dailypass );
		//PostContents( "http://www.dailymotion.com/login?urlback=/", send );
		// sorry, something wrong with PostContents method.
		// I am debugging.
	}
	Dailymotion_fLogin = 1;
}
function Dailymotion_CheckURL( url, option ) { if(url.match( /^http\:\/\/www\.dailymotion\.com\// )) { return 1; } else { return 0; } }
function Dailymotion_GetURL( url, option ) {
	if(!Dailymotion_fLogin) { Dailymotion_Login(); }
	var contents = GetContents( url );
	if(contents == null) { return null; }
	if(contents.match( /addVariable\(\"video\",\s\"(.*?)\"/ ) == null) {
		if(contents.match( /addVariable\(\"url\",\s\"(.*?)\"/ ) == null) {
			if(contents.match( /addVariable\(\"url8\",\s\"(.*?)\"/ ) == null) {
				return null;
			}
		}
	}
	var url_set = PSPTube.decodeURI( RegExp.$1 );
	url_set = url_set.split( "@@" );
	return "http://www.dailymotion.com" + url_set[0];
}
function Dailymotion_Search( keyword, start_index, length, option ) {
	if(!Dailymotion_fLogin) { Dailymotion_Login(); }
	var pattern = '<div class="dm_widget_videoitem';
	var result = new Object();
    result.keyword   = keyword;
	result.VideoInfo = new Array();
	result.start     = start_index;
	result.end       = 0;
	result.total     = -1;
	var url_base = "http://www.dailymotion.com/relevance/search/" + PSPTube.encodeURI( keyword ) + "/";
	var nCountPerPage = 13;												/* 1y[W̌ */
	var nPage = Math.floor( (start_index - 1) / nCountPerPage ) + 1;	/* Jny[W */
	var nIndex = (nPage - 1) * nCountPerPage + 1;						/* JnCfbNX */
	while(nIndex < (start_index + length)) {
		var contents = GetContents( url_base + String( nPage ) );
		if(contents == null) { return null; }
		var i = nIndex;
		var start;
		while((start = contents.indexOf( pattern )) >= 0) {
			contents = contents.substring( start + pattern.length );
			if((start_index <= i) && (i < (start_index + length))) {
				var info = new Object();
				if(contents.match( /\/video\/(.*?)\"/ )) { info.URL = "http://www.dailymotion.com/video/" + RegExp.$1; }
				if(contents.match( /<img\salt\=\"(.*?)\"/ )) { info.Title = PSPTube.decodeHTML( RegExp.$1 ); info.Description = info.Title; }
				if(contents.match( /src\=\"(.*?)\"/ )) { info.ThumbnailURL = RegExp.$1; }
				if(contents.match( /<div\sclass\=\"counters\sforeground_50\"><b>(.*?)<\/b>/ )) { info.ViewCount = RegExp.$1 - 0; }
				if(contents.match( /<\/a><span\sclass\=\"sep\sforeground2\">\|<\/span><b>(.*?)<\/b>/ )) { info.MylistCount = RegExp.$1 - 0; }
				if(contents.match( /\#comments\"><b>(.*?)<\/b>/ )) { info.CommentCount = RegExp.$1 - 0; }
				if(contents.match( /<div\sclass\=\"votes\sforeground_50\">\&nbsp\;<b>(\d*)<\/b>/ )) { info.RatingCount = RegExp.$1 - 0; info.RatingAvg = 0.0; }
				if(contents.match( /<div\sclass\=\"small_avg_rating\"\stitle\=\"(\d)\.(\d)/ )) { info.RatingAvg   = (RegExp.$1 - 0) + ((RegExp.$2 - 0) / 10); }
				if(contents.match( /<div\sclass\=\"duration\">(\d\d)\:(\d\d)<\/div>/ )) { info.LengthSeconds = (RegExp.$1 - 0) * 60 + (RegExp.$2 - 0); }
				info.attr = 7;
				result.VideoInfo.push( info );
			}
			i++;
		}
		nIndex = nIndex + nCountPerPage;
		nPage++;
	}
	if(result.VideoInfo.length) {
		result.end   = result.start + (result.VideoInfo.length - 1);
	} else {
		result.total = 0;
	}
	return result;
}
SiteList.push( { Name:"Dailymotion", Description:"Dailymotion", SearchDesc:"Dailymotion", SearchOSKMode:1, CheckURL:Dailymotion_CheckURL, GetURL:Dailymotion_GetURL, Search:Dailymotion_Search } );
